Foreman deleting host leaves certificate on puppetserver intact
Assignee:
Triaged: Found in Releases:

Fixed in Releases:

Description

Hello Guys,

Infos:

Puppetserver 4.10.0

Foreman: 1.14.3
Foreman-Proxy: 1.14.3

After upgrading to puppetserver 4 deleting hosts in Foreman leaves certificate on puppetserver intact.

Configfiles:
/etc/foreman-proxy/Settings.d/puppetca.yml

1. PuppetCA managment
:enabled: https
:ssldir: /etc/puppetlabs/puppet/ssi
‘puppetdir: /etc/puppetlabs/puppet
/etc/foreman-proxy/settings.d/puppet.ymi

:enabled: https
puppet_version: 4.10.0

Puppetserver and Foreman are on same machine. Foreman-Proxy is running.
If i delete a host in Foreman i can see nothing in the logfile

/var/log/foreman-proxy/proxy.log

But the communication between Foreman and Foreman-Proxy are OK.
If i list all signed certificates in Foreman and look in the logfile

/var/log/foreman-proxy/proxy.log

Found puppetca at /opt/puppetlabs/bin/puppet

Found sudo at /usr/bin/sudo

Executing /usr/bin/sudo -S /opt/puppetlabs/bin/puppet cert --ssldir /etc/puppetlabs/puppet/ssl --list --all
and in Foreman i see all certificates.

Any idea? Can anyone help please.

Regards
mobios

History

#1 - 04/26/2017 05:45 AM - Dominic Cleal

How were the hosts created? Are they "managed" in Foreman (button, top when editing it)?
#2 - 04/27/2017 03:11 AM - Taner Tasar

Thank you for your help Dominic.
| forgot to press the managed button.
Ticket can closed.

Best regards
mobios

#3 - 04/27/2017 03:12 AM - Dominic Cleal

- Status changed from New to Resolved
